Bug 210196

Summary: sysutils/fusefs-encfs: Update to 1.8.1, request for maintainership
Product: Ports & Packages Reporter: Dmitri Goutnik <dmgk>
Component: Individual Port(s)Assignee: Kurt Jaeger <pi>
Status: Closed FIXED    
Severity: Affects Only Me CC: dmgk, pi
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch to update sysutils/fusefs-encfs to 1.8.1, update MAINTAINER
none
Patch to update sysutils/fusefs-encfs to 1.8.1, update MAINTAINER
none
Patch to update sysutils/fusefs-encfs to 1.8.1, update MAINTAINER none

Description Dmitri Goutnik freebsd_committer 2016-06-10 22:13:57 UTC
Created attachment 171280 [details]
Patch to update sysutils/fusefs-encfs to 1.8.1, update MAINTAINER
Comment 1 Dmitri Goutnik freebsd_committer 2016-06-10 23:15:31 UTC
Created attachment 171284 [details]
Patch to update sysutils/fusefs-encfs to 1.8.1, update MAINTAINER
Comment 2 Kurt Jaeger freebsd_committer 2016-06-18 17:41:34 UTC
Testbuild on 9.3a fails, see 

http://people.freebsd.org/~pi/logs/sysutils__fusefs-encfs-93a-1466270299.txt
Comment 3 Kurt Jaeger freebsd_committer 2016-06-18 17:43:48 UTC
Please use portlint -AC on the port. If possible, re-submit with fixes.
Comment 4 Dmitri Goutnik freebsd_committer 2016-06-18 22:25:31 UTC
Created attachment 171558 [details]
Patch to update sysutils/fusefs-encfs to 1.8.1, update MAINTAINER

- Fixed portlint -AC warnings.
- Fixed 9.3 builds.

portlint -AC output:

WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

testport 10.3-RELEASE-p5 amd64: http://poudriere.syrec.org/fusefs-encfs/1.8.1/10amd64-default.log

testport 10.3-RELEASE-p5 i386: http://poudriere.syrec.org/fusefs-encfs/1.8.1/10i386-default.log

testport 9.3-RELEASE-p44 amd64: http://poudriere.syrec.org/fusefs-encfs/1.8.1/9amd64-default.log

testport 9.3-RELEASE-p44 i386: http://poudriere.syrec.org/fusefs-encfs/1.8.1/9i386-default.log
Comment 5 commit-hook freebsd_committer 2016-06-19 03:27:09 UTC
A commit references this bug:

Author: pi
Date: Sun Jun 19 03:26:36 UTC 2016
New revision: 417100
URL: https://svnweb.freebsd.org/changeset/ports/417100

Log:
  sysutils/fusefs-encfs: 1.7.4 -> 1.8.1

  - submitter becomes maintainer
  - reverse: re-enable kernel cache (bug #60)
  - reverse mode: disable unique IV by default (was enabled in 1.8)
  - add make benchmark-reverse
  - remove -o default_permissions unless needed to improve performance
  - add option --require-macs (bug #14)
  - add per-file IVs based on the inode number to reverse mode to
    improve security
  - add automatic benchmark (make benchmark)
  - compare MAC in constant time ( fixes bug #12 )
  - add --nocache option

  PR:		210196
  Submitted by:	Dmitri Goutnik <dg@syrec.org>

Changes:
  head/sysutils/fusefs-encfs/Makefile
  head/sysutils/fusefs-encfs/distinfo
  head/sysutils/fusefs-encfs/files/patch-encfs__encfsctl.cpp
  head/sysutils/fusefs-encfs/files/patch-encfs_encfs.cpp
  head/sysutils/fusefs-encfs/files/patch-encfs_encfs.h
  head/sysutils/fusefs-encfs/files/patch-encfs_main.cpp
  head/sysutils/fusefs-encfs/files/patch-encfs_makeKey.cpp
  head/sysutils/fusefs-encfs/files/patch-implement-encf_create
  head/sysutils/fusefs-encfs/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2016-06-19 03:29:58 UTC
Testbuilds are fine, committed, thanks!